using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IDoctorLogic
	{
		List<DoctorViewModel>? ReadList(DoctorSearchModel? model);
		DoctorViewModel? ReadElement(DoctorSearchModel model);
		bool Create(DoctorBindingModel model);
		bool Update(DoctorBindingModel model);
		bool Delete(DoctorBindingModel model);
	}
}
